=== debian/changelog ===
morph-browser (1.0.0+git20230204.ea69e43+dfsg-1) unstable; urgency=medium

  * New upstream Git snapshot.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 04 Feb 2023 16:24:48 +0100

morph-browser (1.0.0+git20230201.8e6e8a0+dfsg-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1030393).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 04 Feb 2023 02:08:51 +0100
