=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, repacksuffix=+dfsg, dversionmangle=s/\+dfsg//, pretty=1.0.0+git%cd.%h" \
https://gitlab.com/ubports/development/core/morph-browser \
HEAD debian uupdate
