=== debian/changelog ===
morph-browser (1.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Start watching upstream releases.
  * debian/control:
    + Disable build of morph-webapp-container bin:pkg for Debian bookworm. Too
      much effort to get the complete lomiri-online-accounts stack in before
      the freeze.
  * debian/rules:
    + Temporarily don't ship the files of morph-webapp-container.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Feb 2023 14:04:30 +0100
