=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,13 @@
 	touch    debian/tmp/usr/share/apparmor/hardware/video.d/.placeholder
 	mv debian/tmp/usr/share/doc/morph-web debian/tmp/usr/share/doc/qml-module-morph-web
 	rmdir debian/tmp/usr/share/doc/qml-module-morph-web/html/images
+
+	# temporarily don't ship the files of morph-webapp-container
+	rm -v  debian/tmp/usr/bin/webapp-container
+	rm -Rv debian/tmp/usr/share/morph-browser/webcontainer/
+	rm -v  debian/tmp/usr/share/click/hooks/webapp-container.hook
+	rm -v  debian/tmp/usr/bin/webapp-container-hook
+
 	dh_install
 
 override_dh_missing:
