## morph-browser 1.0.2%2Bdfsg

=== src/CMakeLists.txt ===
add_subdirectory(app)
add_subdirectory(Morph)

# DEPRECATED
add_subdirectory(Ubuntu)
