=== tests/unittests/sanity/CMakeLists.txt ===
add_test(flake8 python3 -m flake8 ${autopilot-tests_SOURCE_DIR})
