=== debian/changelog ===
morph-browser (1.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Translation udpates.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 28 Feb 2023 19:50:01 +0100

morph-browser (1.0.1+dfsg-2) unstable; urgency=medium

  * debian/rules:
    + Drop .placeholder files in apparmor directories, only ship the empty
      directories. (Closes: #1030700).
    + Also ship empty etc/apparmor.d/ directory.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Feb 2023 18:44:05 +0100
