=== debian/control ===
--- 
+++ 
@@ -63,26 +63,29 @@
  Lightweight web browser tailored for Lomiri, based on the Qt WebEngine
  and using the Lomiri UI components.
 
-Package: morph-webapp-container
-Architecture: any
-Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         fonts-liberation,
-         libqt5sql5-sqlite,
-         libqt5webengine5,
-         qml-module-qtquick2 (>= 5.5),
-         qml-module-qtquick-window2 (>= 5.3),
-         qml-module-sso-onlineaccounts,
-         qml-module-morph-web (= ${binary:Version}),
-         qml-module-lomiri-content,
-         qml-module-lomiri-components,
-         qml-module-lomiri-action,
-         qml-module-lomiri-onlineaccounts-client,
-         morph-browser (= ${binary:Version}),
-Description: Morph web applications container
- Lightweight webapp container tailored for Lomiri, based on the
- Qt WebEngine and using the Lomiri UI components.
+# FIXME: Disable for the bookworm release. This needs lomiri-online-accounts
+#        and lomiri-system-settings-online-accounts to be provided in Debian.
+#
+#Package: morph-webapp-container
+#Architecture: any
+#Multi-Arch: foreign
+#Depends: ${misc:Depends},
+#         ${shlibs:Depends},
+#         fonts-liberation,
+#         libqt5sql5-sqlite,
+#         libqt5webengine5,
+#         qml-module-qtquick2 (>= 5.5),
+#         qml-module-qtquick-window2 (>= 5.3),
+#         qml-module-sso-onlineaccounts,
+#         qml-module-morph-web (= ${binary:Version}),
+#         qml-module-lomiri-content,
+#         qml-module-lomiri-components,
+#         qml-module-lomiri-action,
+#         qml-module-lomiri-onlineaccounts-client,
+#         morph-browser (= ${binary:Version}),
+#Description: Morph web applications container
+# Lightweight webapp container tailored for Lomiri, based on the
+# Qt WebEngine and using the Lomiri UI components.
 
 Package: qml-module-morph-web
 Architecture: any
