=== debian/rules ===
--- 
+++ 
@@ -32,12 +32,6 @@
 endif
 
 override_dh_install: apparmor
-	mkdir -p debian/tmp/usr/share/apparmor/hardware/audio.d/
-	touch    debian/tmp/usr/share/apparmor/hardware/audio.d/.placeholder
-	mkdir -p debian/tmp/usr/share/apparmor/hardware/graphics.d/
-	touch    debian/tmp/usr/share/apparmor/hardware/graphics.d/.placeholder
-	mkdir -p debian/tmp/usr/share/apparmor/hardware/video.d/
-	touch    debian/tmp/usr/share/apparmor/hardware/video.d/.placeholder
 	mv debian/tmp/usr/share/doc/morph-web debian/tmp/usr/share/doc/qml-module-morph-web
 	rmdir debian/tmp/usr/share/doc/qml-module-morph-web/html/images
