=== debian/watch ===
version=4
opts="repacksuffix=+dfsg, dversionmangle=s/\+dfsg//" \
https://gitlab.com/ubports/development/core/morph-browser/tags .*/morph-browser-(\d\S+)\.tar\.gz
