## morph-browser 1.1.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(morph-browser VERSION 1.0.2 LANGUAGES CXX)
+project(morph-browser VERSION 1.1.0 LANGUAGES CXX)
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
