=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 find_package(Qt5Network REQUIRED)
 find_package(Qt5Qml REQUIRED)
 find_package(Qt5Quick REQUIRED)
+find_package(Qt5Sql REQUIRED)
 find_package(Qt5Widgets REQUIRED)
 #find_package(Qt5WebEngine REQUIRED)
 
@@ -33,6 +34,7 @@
     mime-database.cpp
     session-storage.cpp
     single-instance-manager.cpp
+    url-utils.cpp
 )
 
 add_library(${COMMONLIB} STATIC ${COMMONLIB_SRC})
@@ -44,6 +46,7 @@
     Qt5::Network
     Qt5::Qml
     Qt5::Quick
+    Qt5::Sql
     Qt5::Widgets
     Qt5WebEngine
     Qt5WebEngineCore
