=== debian/changelog ===
morph-browser (1.1.0+dfsg-2) unstable; urgency=medium

  * debian/control:
    + Add D (morph-browser): qml-module-qtquick-controls2. (Closes: #1067808).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 27 Mar 2024 08:23:12 +0100

morph-browser (1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update copyright attributions.
    + Update auto-generated copyright.in file.
  * debian/patches:
    + Rebase 2001_skip-Ubuntu-compat-QML.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Feb 2024 13:47:55 +0100
