=== debian/control ===
--- 
+++ 
@@ -50,6 +50,7 @@
          qml-module-qt-labs-folderlistmodel,
          qml-module-qt-labs-settings,
          qml-module-qtquick2 (>= 5.5),
+         qml-module-qtquick-controls2,
          qml-module-qtquick-layouts,
          qml-module-qtquick-window2 (>= 5.3),
          qml-module-qtsysteminfo,
