## morph-browser 1.1.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(morph-browser VERSION 1.1.0 LANGUAGES CXX)
+project(morph-browser VERSION 1.1.1 LANGUAGES CXX)
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
@@ -77,9 +77,7 @@
      tests/*.py tests/*.qml)
 add_custom_target(NON_COMPILED_TARGET ALL SOURCES ${NON_COMPILED_ROOT} ${NON_COMPILED_SUBDIRS})
 
-# for dh_translations to extract the domain
-# (regarding syntax consistency, see http://pad.lv/1181187)
-set (GETTEXT_PACKAGE "morph-browser")
+set(GETTEXT_PACKAGE "morph-browser")
 
 add_subdirectory(po)
