=== tests/unittests/history-domainlist-model/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 find_package(Qt5Test REQUIRED)
 set(TEST tst_HistoryDomainListModelTests)
 add_executable(${TEST} tst_HistoryDomainListModelTests.cpp)
-include_directories(${morph-browser_SOURCE_DIR} ${webbrowser-common_SOURCE_DIR})
+include_directories(${webbrowser-app_SOURCE_DIR} ${webbrowser-common_SOURCE_DIR})
 target_link_libraries(${TEST}
     Qt5::Core
     Qt5::Sql
