=== debian/changelog ===
morph-browser (1.1.1+dfsg-5) unstable; urgency=medium

  * debian/patches:
    + Add 0001_fix-is-not-supported-css-selector.patch. Resolves viewing
      GitLab and other responsive websites.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 01 Dec 2024 14:02:31 +0100

morph-browser (1.1.1+dfsg-4) unstable; urgency=medium

  [ Guido Berhoerster ]
  * debian/:
    + Disable apparmor profile generation

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Oct 2024 22:35:56 +0200

morph-browser (1.1.1+dfsg-3) unstable; urgency=medium

  * debian/patches:
    + Rebase 2000_skip-flawed-tests.patch.
    + Add 2003_test-waiting-adjust-to-slow-archs.patch. Try to work-around
      test failure on mips64el.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 29 Sep 2024 21:37:50 +0200

morph-browser (1.1.1+dfsg-2) unstable; urgency=medium

  * debian/rules:
    + Ignore unit test failures on mip64el architecture. (Closes: #1074221).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 21 Sep 2024 09:28:54 +0200

morph-browser (1.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_lomiri-content-hub.patch. Applied upstream.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
  * debian/morph-browser.install:
    + Adjust to new lomiri-content-hub namespace.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 20 Sep 2024 23:50:02 +0200

morph-browser (1.1.0+dfsg-3) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/patches:
    + Add 0001_lomiri-content-hub.patch. Adapt to new content hub namespace.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 19 Sep 2024 09:47:08 +0200
